AppTitle "Static Data Loader Demo"
Graphics3D 640,480,32,2
SetBuffer BackBuffer()

Include "StaticDataLoader_LIB.bb"

	CAMPIVOT% = CreatePivot()
	CAMERA% = CreateCamera(CAMPIVOT%) 
	LIGHT% = CreateLight()

	CreateListener(CAMERA%)
	MoveEntity CAMERA,0,0,-5
	RotateEntity LIGHT%,90,0,0 

	Dload_Add_Item("media\b3dlogo.jpg",FILE_IMG%)
	Dload_Add_Item("media\dbot.mp3",FILE_SND%)
	Dload_Add_Item("media\car.x",FILE_MSH%)
	Dload_Add_Item("media\sol.png",FILE_SPR%)


	Dload_DisplayInfo()
	WaitMouse
	Dload_Do_Load()

	PlaySound Dload_Get_Handle(2)
	PositionEntity Dload_Get_Handle(3),0,0,MeshDepth(Dload_Get_Handle(3))*2 
	SpriteViewMode Dload_Get_Handle(4),4

	While Not KeyHit(1)
		TurnEntity Dload_Get_Handle(3),+1,+2,+3
		UpdateWorld
		RenderWorld
		DrawImage Dload_Get_Handle(1),MouseX()-ImageWidth(Dload_Get_Handle(1))/2,MouseY()-ImageHeight(Dload_Get_Handle(1))/2
		Dload_DisplayInfo()
		Flip
	Wend

	Dload_Remove_AllItems%()

End